weipa Namespace Reference

## Namespaces

| VisItControl

## Classes

class | DataVar
| A class that provides functionality to read an escript data object from a dump file or an escript::Data instance and write that data in Silo or VTK XML formats. More...
class | DomainChunk
| Abstract base class for weipa's interface to an Escript domain or one chunk thereof if domain decomposition was used. More...
struct | QuadMaskInfo
| This struct holds a mask (0's and 1's) that indicates which quad nodes contribute to a sub-element when full element order is used. factor[i] contains the number of non-zeroes in mask[i]. More...
class | ElementData
| Stores and manipulates one type of domain elements. More...
struct | VarInfo
class | EscriptDataset
| Represents an escript dataset including a domain and data variables for one timestep. More...
class | FinleyDomain
| Represents a full Finley or Dudley domain including nodes and elements. More...
struct | FinleyElementInfo
| Holds information that is used to convert from finley element types to elements supported by Silo and VTK. More...
class | FinleyElements
| Stores and manipulates one type of finley mesh elements (cells, faces or contacts). More...
class | FinleyNodes
| Stores and manipulates finley mesh nodes. More...
class | NodeData
class | RipleyDomain
| Represents a full Ripley domain including nodes and elements. More...
class | RipleyElements
| Stores and manipulates one type of ripley mesh elements (cells, faces). More...
class | RipleyNodes
| Stores and manipulates ripley mesh nodes. More...
class | SpeckleyDomain
| Represents a full Speckley domain including nodes and elements. More...
class | SpeckleyElements
| Stores and manipulates one type of speckley mesh elements (cells, faces). More...
class | SpeckleyNodes
| Stores and manipulates speckley mesh nodes. More...
class | VisItData
class | WeipaException
| WeipaException exception class. More...

## Typedefs

typedef std::vector< DataVar_ptr > | DataChunks
typedef std::vector< DomainChunk_ptr > | DomainChunks
typedef std::vector< VarInfo > | VarVector
typedef boost::shared_ptr< FinleyElements > | FinleyElements_ptr
typedef boost::shared_ptr< FinleyNodes > | FinleyNodes_ptr
typedef boost::shared_ptr< RipleyElements > | RipleyElements_ptr
typedef boost::shared_ptr< RipleyNodes > | RipleyNodes_ptr
typedef boost::shared_ptr< SpeckleyElements > | SpeckleyElements_ptr
typedef boost::shared_ptr< SpeckleyNodes > | SpeckleyNodes_ptr
typedef boost::shared_ptr< VisItData > | VisItData_ptr
typedef std::vector< float > | FloatVec
typedef std::vector< int > | IntVec
typedef std::vector< std::string > | StringVec
typedef std::vector< float * > | CoordArray
typedef std::map< int, size_t > | IndexMap
typedef boost::shared_ptr< DataVar > | DataVar_ptr
typedef boost::shared_ptr< DomainChunk > | DomainChunk_ptr
typedef boost::shared_ptr< ElementData > | ElementData_ptr
typedef boost::shared_ptr< EscriptDataset > | EscriptDataset_ptr
typedef boost::shared_ptr< NodeData > | NodeData_ptr
typedef boost::shared_ptr< const DomainChunk > | const_DomainChunk_ptr
typedef boost::shared_ptr< const EscriptDataset > | const_EscriptDataset_ptr

## Enumerations

enum | Centering { NODE_CENTERED =0 , ZONE_CENTERED }
enum | ZoneType { ZONETYPE_UNKNOWN =0 , ZONETYPE_BEAM =VTK_LINE , ZONETYPE_HEX =VTK_HEXAHEDRON , ZONETYPE_POLYGON =VTK_POLYGON , ZONETYPE_QUAD =VTK_QUAD , ZONETYPE_TET =VTK_TETRA , ZONETYPE_TRIANGLE =VTK_TRIANGLE }

## Functions

bool | inside1D (float x, float c, float r)
bool | inside2D (float x, float y, float cx, float cy, float r)
bool | inside3D (float x, float y, float z, float cx, float cy, float cz, float r)
bool | sameSide (float d1, float d2)
static float | det4x4 (float m_00, float m_01, float m_02, float m_03, float m_10, float m_11, float m_12, float m_13, float m_20, float m_21, float m_22, float m_23, float m_30, float m_31, float m_32, float m_33)
static bool | pointInTet (float x, float y, float z, const float *p0, const float *p1, const float *p2, const float *p3)
static bool | pointInTri (float x, float y, const float *p0, const float *p1, const float *p2)

## Variables

const char * | MESH_VARS = "mesh_vars/"

## Typedef Documentation

## const_DomainChunk_ptr

typedef boost::shared_ptr<const DomainChunk> weipa::const_DomainChunk_ptr

## const_EscriptDataset_ptr

typedef boost::shared_ptr<const EscriptDataset> weipa::const_EscriptDataset_ptr

## CoordArray

typedef std::vector<float*> weipa::CoordArray

## DataChunks

typedef std::vector<DataVar_ptr> weipa::DataChunks

## DataVar_ptr

typedef boost::shared_ptr<DataVar> weipa::DataVar_ptr

## DomainChunk_ptr

typedef boost::shared_ptr<DomainChunk> weipa::DomainChunk_ptr

## DomainChunks

typedef std::vector<DomainChunk_ptr> weipa::DomainChunks

## ElementData_ptr

typedef boost::shared_ptr<ElementData> weipa::ElementData_ptr

## EscriptDataset_ptr

typedef boost::shared_ptr<EscriptDataset> weipa::EscriptDataset_ptr

## FinleyElements_ptr

typedef boost::shared_ptr<FinleyElements> weipa::FinleyElements_ptr

## FinleyNodes_ptr

typedef boost::shared_ptr<FinleyNodes> weipa::FinleyNodes_ptr

## FloatVec

typedef std::vector<float> weipa::FloatVec

## IndexMap

typedef std::map<int, size_t> weipa::IndexMap

## IntVec

typedef std::vector<int> weipa::IntVec

## NodeData_ptr

typedef boost::shared_ptr<NodeData> weipa::NodeData_ptr

## RipleyElements_ptr

typedef boost::shared_ptr<RipleyElements> weipa::RipleyElements_ptr

## RipleyNodes_ptr

typedef boost::shared_ptr<RipleyNodes> weipa::RipleyNodes_ptr

## SpeckleyElements_ptr

typedef boost::shared_ptr<SpeckleyElements> weipa::SpeckleyElements_ptr

## SpeckleyNodes_ptr

typedef boost::shared_ptr<SpeckleyNodes> weipa::SpeckleyNodes_ptr

## StringVec

typedef std::vector<std::string> weipa::StringVec

## VarVector

typedef std::vector<VarInfo> weipa::VarVector

## VisItData_ptr

typedef boost::shared_ptr<VisItData> weipa::VisItData_ptr

## Enumeration Type Documentation

## Centering

enum weipa::Centering

Enumerator
NODE_CENTERED |
ZONE_CENTERED |

## ZoneType

enum weipa::ZoneType

Enumerator
ZONETYPE_UNKNOWN |
ZONETYPE_BEAM |
ZONETYPE_HEX |
ZONETYPE_POLYGON |
ZONETYPE_QUAD |
ZONETYPE_TET |
ZONETYPE_TRIANGLE |

## Function Documentation

## det4x4()

static float weipa::det4x4 | ( | float | m_00,
|  | float | m_01,
|  | float | m_02,
|  | float | m_03,
|  | float | m_10,
|  | float | m_11,
|  | float | m_12,
|  | float | m_13,
|  | float | m_20,
|  | float | m_21,
|  | float | m_22,
|  | float | m_23,
|  | float | m_30,
|  | float | m_31,
|  | float | m_32,
|  | float | m_33
| ) |  |

static

Referenced by pointInTet().

## inside1D()

bool weipa::inside1D | ( | float | x,
|  | float | c,
|  | float | r
| ) |  |

inline

Referenced by weipa::FinleyElements::buildQuadMask(), inside2D(), and inside3D().

## inside2D()

bool weipa::inside2D | ( | float | x,
|  | float | y,
|  | float | cx,
|  | float | cy,
|  | float | r
| ) |  |

inline

References inside1D().

Referenced by weipa::FinleyElements::buildQuadMask(), and inside3D().

## inside3D()

bool weipa::inside3D | ( | float | x,
|  | float | y,
|  | float | z,
|  | float | cx,
|  | float | cy,
|  | float | cz,
|  | float | r
| ) |  |

inline

References inside1D(), and inside2D().

Referenced by weipa::FinleyElements::buildQuadMask().

## pointInTet()

static bool weipa::pointInTet | ( | float | x,
|  | float | y,
|  | float | z,
|  | const float * | p0,
|  | const float * | p1,
|  | const float * | p2,
|  | const float * | p3
| ) |  |

static

References det4x4(), and sameSide().

Referenced by weipa::FinleyElements::buildQuadMask().

## pointInTri()

static bool weipa::pointInTri | ( | float | x,
|  | float | y,
|  | const float * | p0,
|  | const float * | p1,
|  | const float * | p2
| ) |  |

static

Referenced by weipa::FinleyElements::buildQuadMask().

## sameSide()

bool weipa::sameSide | ( | float | d1,
|  | float | d2
| ) |  |

inline

Referenced by pointInTet().

## Variable Documentation

## MESH_VARS

const char* weipa::MESH_VARS = "mesh_vars/"

Referenced by weipa::EscriptDataset::putSiloMultiVar(), weipa::EscriptDataset::saveSilo(), and weipa::EscriptDataset::saveVTKsingle().